StringUtils

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.util.strings
Class StringUtils

    java.lang.Object
      org.jagatoo.util.strings.StringUtils

    public final class StringUtils

extends java.lang.Object

Utility methods for Strings.

Author:
  Marvin Froehlich (aka Qudus)

Method Summary
`static boolean` | `endsWithIgnoreCase(java.lang.String s, java.lang.String test)`
`static int` | `findFirstNonWhitespace(java.lang.String s)`
`static int` | `findFirstNonWhitespace(java.lang.String s, int offset)`
`static int` | `findLastNonWhitespace(java.lang.String s)`
`static boolean` | `isBoolean(java.lang.String str)` Checks, whether the given String argument is intepretable as boolean value.
`static boolean` | `isNumeric(java.lang.String str)` Checks, whether the given String argument is intepretable as numeric value.
`static java.lang.String` | `loadString(java.net.URL url)`
`static java.lang.String` | `padLeft(int number, int length, java.lang.String padStr)`
`static boolean` | `startsWithIgnoreCase(java.lang.String s, java.lang.String test)`
`static boolean` | `startsWithIgnoreCase(java.lang.String s, java.lang.String test, int offset)`
`static java.lang.String` | `unquoteString(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isNumeric

    public static final boolean isNumeric(java.lang.String str)

  Checks, whether the given String argument is intepretable as numeric value.

  Parameters:
    `str` -
  Returns:
    true or false

### isBoolean

    public static final boolean isBoolean(java.lang.String str)

  Checks, whether the given String argument is intepretable as boolean value.

  Parameters:
    `str` -
  Returns:
    true or false

### padLeft

    public static final java.lang.String padLeft(int number,
                                                 int length,
                                                 java.lang.String padStr)

### startsWithIgnoreCase

    public static final boolean startsWithIgnoreCase(java.lang.String s,
                                                     java.lang.String test,
                                                     int offset)

### startsWithIgnoreCase

    public static final boolean startsWithIgnoreCase(java.lang.String s,
                                                     java.lang.String test)

### endsWithIgnoreCase

    public static final boolean endsWithIgnoreCase(java.lang.String s,
                                                   java.lang.String test)

### findFirstNonWhitespace

    public static final int findFirstNonWhitespace(java.lang.String s,
                                                   int offset)

### findFirstNonWhitespace

    public static final int findFirstNonWhitespace(java.lang.String s)

### findLastNonWhitespace

    public static final int findLastNonWhitespace(java.lang.String s)

### unquoteString

    public static final java.lang.String unquoteString(java.lang.String s)

### loadString

    public static final java.lang.String loadString(java.net.URL url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD